
import java.awt.*;
import javax.swing.*;

import java.awt.event.*;

public class Circle2 extends JFrame {


  public Circle2(String caption) {
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setTitle(caption);
    this.getContentPane().add( new CCanvas(), 
       BorderLayout.CENTER );
  }




    public static void main(String args[]) {
      Circle2 f = new Circle2("Circle2");
     	f.setSize(600,600);
    	f.setVisible(true);
    }


}



class CCanvas extends Canvas {

   // Zeichnen von Kreisen mit einem gemeinsamen Mittelpunkt
  public void paint (Graphics g)
  {
    int x0, y0;  // Mittelpunkt
    int d;     // Durchmesser
    int r;    // Radius

    x0 = 300;
    y0 = 300;
    for (int i=0; i<10; i++) {
       // Verschieben
      d = (int) (  400*Math.random() );
      r = d >> 1;
      g.drawOval(x0-r,y0-r,d,d);
    }
  }

}


